org.apache.http.conn.params

## Class ConnPerRouteBean

- java.lang.Object
- - org.apache.http.conn.params.ConnPerRouteBean

All Implemented Interfaces:
  ConnPerRoute

Deprecated.
(4.2) use `ConnPoolControl`

    @Deprecated
    @Contract(threading=SAFE)
    public final class ConnPerRouteBean
    extends Object
    implements ConnPerRoute

This class maintains a map of HTTP routes to maximum number of connections allowed for those routes. This class can be used by pooling `connection managers` for a fine-grained control of connections on a per route basis.

Since:
  4.0

### Field Summary

Fields
`static int` `DEFAULT_MAX_CONNECTIONS_PER_ROUTE` Deprecated. The default maximum number of connections allowed per host

### Constructor Summary

Constructors
Constructor and Description
`ConnPerRouteBean()` Deprecated.
`ConnPerRouteBean(int defaultMax)` Deprecated.

### Method Summary

Methods
`int` `getDefaultMax()` Deprecated.
`int` `getDefaultMaxPerRoute()` Deprecated.
`int` `getMaxForRoute(HttpRoute route)` Deprecated.
`void` `setDefaultMaxPerRoute(int max)` Deprecated.
`void` `setMaxForRoute(HttpRoute route, int max)` Deprecated.
`void` `setMaxForRoutes(Map<HttpRoute,Integer> map)` Deprecated.
`String` `toString()` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DEFAULT_MAX_CONNECTIONS_PER_ROUTE

    public static final int DEFAULT_MAX_CONNECTIONS_PER_ROUTE

Deprecated.
The default maximum number of connections allowed per host

See Also:
  Constant Field Values

### Constructor Detail

#### ConnPerRouteBean

    public ConnPerRouteBean(int defaultMax)

Deprecated.

#### ConnPerRouteBean

    public ConnPerRouteBean()

Deprecated.

### Method Detail

#### getDefaultMax

    public int getDefaultMax()

Deprecated.

#### getDefaultMaxPerRoute

    public int getDefaultMaxPerRoute()

Deprecated.

Since:
  4.1

#### setDefaultMaxPerRoute

    public void setDefaultMaxPerRoute(int max)

Deprecated.

#### setMaxForRoute

    public void setMaxForRoute(HttpRoute route,
                      int max)

Deprecated.

#### getMaxForRoute

    public int getMaxForRoute(HttpRoute route)

Deprecated.

Specified by:
  `getMaxForRoute` in interface `ConnPerRoute`

#### setMaxForRoutes

    public void setMaxForRoutes(Map<HttpRoute,Integer> map)

Deprecated.

#### toString

    public String toString()

Deprecated.

Overrides:
  `toString` in class `Object`